aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDouglas Gilbert <dgilbert@interlog.com>2007-07-13 22:30:32 +0000
committerDouglas Gilbert <dgilbert@interlog.com>2007-07-13 22:30:32 +0000
commit178524ce80a83b1ce305a026a6e232699d40f842 (patch)
tree68bdee33e63916d4b03e55135dc70661774fb1fa /autogen.sh
parentf979e5aaba7d5ea7d1a8066bbdcd6e3c0a9f6879 (diff)
downloadsg3_utils-178524ce80a83b1ce305a026a6e232699d40f842.tar.gz
change build system to use autotool/configure, debian rules need work. Still to check Solaris and OSF
git-svn-id: https://svn.bingwo.ca/repos/sg3_utils/trunk@84 6180dd3e-e324-4e3e-922d-17de1ae2f315
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..854e590a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,50 @@
+#! /bin/sh
+
+# $Id: autogen.sh,v 1.4 2002/12/02 01:39:49 murrayc Exp $
+#
+# Copyright (c) 2002 Daniel Elstner <daniel.elstner@gmx.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License VERSION 2 as
+# published by the Free Software Foundation. You are not allowed to
+# use any other version of the license; unless you got the explicit
+# permission from the author to do so.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+
+dir=`echo "$0" | sed 's,[^/]*$,,'`
+test "x${dir}" = "x" && dir='.'
+
+if test "x`cd "${dir}" 2>/dev/null && pwd`" != "x`pwd`"
+then
+ echo "This script must be executed directly from the source directory."
+ exit 1
+fi
+
+rm -f config.cache acconfig.h
+
+# echo "- libtoolize." && \
+# libtoolize --force && \
+echo "- aclocal." && \
+aclocal && \
+echo "- autoconf." && \
+autoconf && \
+echo "- autoheader." && \
+autoheader && \
+echo "- automake." && \
+automake --add-missing --gnu && \
+exit 0
+
+# echo && \
+# ./configure "$@" && exit 0
+
+exit 1
+